#
# spec file for package isync
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           isync
Version:        1.2.1
Release:        3.1
Summary:        Utility to synchronize IMAP mailboxes with local maildir folders
License:        GPL-2.0
Group:          Productivity/Networking/Email/Utilities
Url:            http://isync.sf.net/
Source:         http://prdownloads.sourceforge.net/isync/%{name}-%{version}.tar.gz
Source2:        http://prdownloads.sourceforge.net/isync/%{name}-%{version}.tar.gz.asc
Source3:        isync.keyring
BuildRequires:  db-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
isync is a command line application which synchronizes mailboxes; currently
Maildir and IMAP4 mailboxes are supported. New messages, message deletions
and flag changes can be propagated both ways. isync is suitable for use in
IMAP-disconnected mode.

Synchronization is based on unique message identifiers (UIDs), so no
identification conflicts can occur (as opposed to some other mail
synchronizers). Synchronization state is kept in one local text file per
mailbox pair; multiple replicas of a mailbox can be maintained.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} docdir=%{_docdir}/%{name} install

%files
%defattr(-,root,root,-)
%doc COPYING README AUTHORS ChangeLog
%{_bindir}/get-cert
%{_bindir}/isync
%{_bindir}/mbsync
%{_bindir}/mdconvert
%doc %{_docdir}/isync
%{_mandir}/man1/isync.1%{ext_man}
%{_mandir}/man1/mbsync.1%{ext_man}
%{_mandir}/man1/mdconvert.1%{ext_man}

%changelog
* Thu Jun  2 2016 sleep_walker@opensuse.org
- add COPYING README AUTHORS ChangeLog to the package
* Fri May  6 2016 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use pkgconfig() style dependencies
- Update dependencies
  * Enable sasl
* Mon Nov 16 2015 sleep_walker@opensuse.org
- bump to 1.2.1
  - fixed IPv6-enabled builds crashing upon host name resolution failure
  - fixed updating Maildir flags crashing on OpenBSD
  - fixed deadlocks with NFS home directories
  - fixed SASL authentication with GSS-API
  - fixed messages being uploaded again and again with some servers
  - fixed duplicate mailboxes with IMAP NAMESPACE "INBOX."
  - fixed some problems in the IMAP command submission code
  - fixed build with static libdb, libnsl, and libsocket
  - the dependencies on Berkeley DB and zlib (and the features they enable) can be explicitly disabled now
  - it is now possible to nest a Maildir Store's Path into its Inbox
  - fixed -DN not implying -Dn
- clean the spec with spec-cleaner
- add isync.keyring
* Mon Jul 27 2015 sleep_walker@opensuse.org
- bump to 1.2.0
  Changes:
  The 'isync' compatibility wrapper is now deprecated.
  An IMAP Path/NAMESPACE rooted in INBOX won't be handled specially
  any more. This means that some Patterns may need adjustment.
  The default output is a lot less verbose now.
  The meanings of the -V and -D options changed significantly.
  The SSL/TLS configuration has been re-designed. SSL is now
  explicitly enabled or disabled - "use SSL if available" is gone.
  Notice: Tunnels are assumed to be secure and thus default to no SSL.
  Support for SASL (flexible authentication) has been added.
  Support for Windows file systems has been added.
  Support for compressed data transfer has been added.
  Folder deletions can be propagated now.
* Thu Jan 23 2014 sleep_walker@suse.cz
- examples are installed automaticaly - remove manual copying from
  spec file
* Thu Jan 23 2014 sleep_walker@suse.cz
- license fix
* Thu Jan 23 2014 sleep_walker@suse.cz
- bump to 1.1.0
- drop isync-1.0.1_imaphierarchy.patch
* Fri Aug 24 2012 sleep_walker@suse.cz
- update to 1.0.5
* Thu Dec 16 2010 puzel@novell.com
- update to version 1.0.4
- fix some rpmlint warnings
- drop isync-1.0.1_missing_sentinel.patch (in upstream)
* Sun Jan 21 2007 mrueckert@suse.de
- update to version 1.0.3:
  - new option UseIMAPS to allow use of Tunnel-ed IMAPS servers
    without providing a dummy Host.
  - make config parsing more robust.
  - work around glibc printf bug.
  - fix crash with AltMap UID scheme.
  - compat wrapper: put INBOX under Maildir.
* Fri May 19 2006 mrueckert@suse.de
- update to 1.0.2
* Mon Mar 20 2006 mrueckert@suse.de
- build debuginfo package
- added patch for missing sentinel
* Sun Feb 19 2006 mrueckert@suse.de
- added isync-1.0.1_imaphierarchy.patch
  * without the patch you cant mirror imap hierarchies
    when using "Patterns"
* Sun Feb 19 2006 mrueckert@suse.de
- Initial package of version 1.0.1
